# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-signalfd
%define fedora 19
# %oldname or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name python-signalfd
%define version 0.1
# Define the python_* macros for F12, RHEL5 and older
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# Resolve rpmlint warning: private-shared-object-provides
%{echo 


}


Name:           python-module-signalfd
Version:        0.1
Release:        alt1_4
Summary:        Python bindings to the Linux signalfd library/system call
Group:          Development/Python
License:        MIT
URL:            https://launchpad.net/python-signalfd
Source0:        http://launchpad.net/%{oldname}/0.x/%{version}/+download/%{oldname}-%{version}.tar.gz
# BuildArch:      noarch
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
BuildRequires:  python-devel
BuildRequires:  python-module-distribute
%else
BuildRequires:  python-module-setuptools
%endif
BuildRequires:  gcc
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/%{oldname}/.*\.so$


%description
The python-signalfd package is a simple wrapper around the POSIX sigprocmask(2)
and the Linux signalfd(2) platform APIs, providing very direct access to them.


%prep
%setup -q -n %{oldname}-%{version}


%build
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
%endif


%install
%if 0%{?fedora} >= 11 || 0%{?rhel} >= 6
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%else
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
%endif
# Resolve rpmlint error: non-standard-executable-perm
%{__chmod} 755 $RPM_BUILD_ROOT/%{python_sitelibdir}/signalfd/_signalfd.so


%files
%doc LICENSE
%{python_sitelibdir}/signalfd
%{python_sitelibdir}/*egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_3
- initial fc import

